[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] No available bundle exports package'javax.swing.event'

Hello

----- Original Message ----- From: "David Leangen" <osgi@xxxxxxxxxxx>
To: "Equinox development mailing list" <equinox-dev@xxxxxxxxxxx>
Sent: Wednesday, July 25, 2007 8:47 AM
Subject: Re: [equinox-dev] No available bundle exports package'javax.swing.event'



What OS are you using?

Linux

Have you configured access rules for any of the JREs in the workspace?

No

And is your project dependent on a specifically installed JRE or an
OSGi execution environment?

I'm using the system JRE, v 1.5.0_06.

I am using a "target platform", if that's what you mean...

In my target platform, I'm using org.eclipse.osgi (3.3.0v20070530).

This is a complete shot in the dark, since I don't know much about Equinox, but I recently had similar problems where code that worked fine in Eclipse 3.2 suddenly couldn't find javax.crypto classes after I upgraded to Eclipse 3.3.


It turned out that Eclipse 3.3 was (for some reason) not including all my JRE's JARs in the classpath. Removing the JRE and adding it again didn't fix the problem. I think creating a new workspace and importing my projects again fixed it though.

Regards,

Albert

P. S. I was using Eclipse 3.3 with Sun JDK 1.6.0_01 on Windows.